tigase.jaxmpp.gwt.client.dns

## Class WebDnsResolver

- java.lang.Object
- - tigase.jaxmpp.gwt.client.dns.WebDnsResolver

- All Implemented Interfaces:
    ContextAware, ConnectionManager.Resolver

      public class WebDnsResolver
      extends Object
      implements ConnectionManager.Resolver

  Author:
    andrzej

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `WEB_DNS_RESOLVER_URL_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebDnsResolver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getResolverUrl()`
    `void` | `hostFailure(String url)`
    `boolean` | `isEnabled()`
    `void` | `setContext(Context context)`
    `void` | `urlsForDomain(String domain, ConnectionManager.ResolutionCallback hostResolutionCallback)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WEB_DNS_RESOLVER_URL_KEY

          public static final String WEB_DNS_RESOLVER_URL_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WebDnsResolver

          public WebDnsResolver()

  - ### Method Detail

    - #### urlsForDomain

          public void urlsForDomain(String domain,
                                    ConnectionManager.ResolutionCallback hostResolutionCallback)

      Specified by:
        `urlsForDomain` in interface `ConnectionManager.Resolver`

    - #### getResolverUrl

          public String getResolverUrl()

    - #### hostFailure

          public void hostFailure(String url)

      Specified by:
        `hostFailure` in interface `ConnectionManager.Resolver`

    - #### isEnabled

          public boolean isEnabled()

      Specified by:
        `isEnabled` in interface `ConnectionManager.Resolver`

    - #### setContext

          public void setContext(Context context)

      Specified by:
        `setContext` in interface `ContextAware`

Copyright © 2006–2023 Tigase. All rights reserved.